Bug 595921 - grubby SIGSEGV on kernel installation.
grubby SIGSEGV on kernel installation.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 18:16 EDT by Maciej Żenczykowski
Modified: 2011-06-27 12:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Maciej Żenczykowski 2010-05-25 18:16:25 EDT
I just performed a yum upgrade (after rpm -hvU fedora-release-13) of a (very minimal) Fedora 12 system to Fedora 13.

The upgrade went just fine, with the exception of grubby segfaulting and failing to update grub.conf with the new kernel.

Here's a log of what happens when I uninstall and reinstall the Fedora 13 kernel:

[root@gaia ~]# uname -a
Linux gaia 2.6.32.12-115.fc12.x86_64 #1 SMP Fri Apr 30 19:46:25 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

[root@gaia ~]# cat /etc/redhat-release 
Fedora release 13 (Goddard)

[root@gaia ~]# yum list extras
Extra Packages
cups-windows.i386                  1:6.0-1                             installed
kernel.x86_64                      2.6.32.12-115.fc12                  installed

[root@gaia ~]# rpm -q kernel
kernel-2.6.32.12-115.fc12.x86_64
kernel-2.6.33.4-95.fc13.x86_64

[root@gaia ~]# rpm -e kernel-2.6.33.4-95.fc13.x86_64

[root@gaia ~]# yum upgrade
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:2.6.33.4-95.fc13 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch           Version                    Repository       Size
================================================================================
Installing:
 kernel         x86_64         2.6.33.4-95.fc13           updates          21 M

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 21 M
Installed size: 103 M
Is this ok [y/N]: y
Downloading Packages:
kernel-2.6.33.4-95.fc13.x86_64.rpm                       |  21 MB     06:33     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing     : kernel-2.6.33.4-95.fc13.x86_64                           1/1 
grubby recieved SIGSEGV!  Backtrace (8):
grubby recieved SIGSEGV!  Backtrace (8):
/sbin/grubby[0x40805f]
/lib64/libc.so.6(+0x32a40)[0x7f5ca09c7a40]
/lib64/libc.so.6(+0x1279ba)[0x7f5ca0abc9ba]
/sbin/grubby[0x40695e]
/sbin/grubby[0x406ae3]
/sbin/grubby[0x407e58]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x7f5ca09b3c5d]
/sbin/grubby[0x401709]

Installed:
  kernel.x86_64 0:2.6.33.4-95.fc13                                              

Complete!

[root@gaia ~]# cd /boot/grub/

[root@gaia grub]# cat grub.conf 
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd1,0)
#          kernel /vmlinuz-version ro root=/dev/md1 rhgb quiet acpi_enforce_resources=lax
#          initrd /initrd-version.img
#boot=/dev/md0
default=0
timeout=30
#splashimage=(hd1,0)/grub/splash.xpm.gz
#hiddenmenu
password --md5 $1$xxxxxxxx$xxxxxxxxxxxxxxxxxxxxxx
title Fedora (2.6.32.12-115.fc12.x86_64)
        root (hd1,0)
        kernel /vmlinuz-2.6.32.12-115.fc12.x86_64 ro root=/dev/md1 acpi_enforce_resources=lax SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us
        initrd /initramfs-2.6.32.12-115.fc12.x86_64.img
title Memtest86
        root (hd1,0)
        kernel /memtest86+-4.00
[root@gaia grub]# 

Clearly:

title Fedora (2.6.33.4-95.fc13.x86_64)
        root (hd1,0)
        kernel /vmlinuz-2.6.33.4-95.fc13.x86_64 ro root=/dev/md1 acpi_enforce_resources=lax SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us
        initrd /initramfs-2.6.33.4-95.fc13.x86_64.img

is missing.
Comment 1 Maciej Żenczykowski 2010-05-26 02:58:07 EDT
The above was with an x86_64 box.
I've now had the exact same thing come up on an i686 install:

# yum upgrade (to F13, otherwise than the error message below the upgrade process is totally smooth and clean - this box was pretty much a virgin [but fully uptodate] F12 install)

  Installing     : kernel-PAE-2.6.33.4-95.fc13.i686                     454/934
grubby recieved SIGSEGV!  Backtrace (8):
/sbin/grubby[0x804f898]
[0x157400]
/lib/libc.so.6(+0x773ca)[0xd353ca]
/sbin/grubby[0x804e1d4]
/sbin/grubby[0x804e32d]
/sbin/grubby[0x804f644]
/lib/libc.so.6(__libc_start_main+0xe6)[0xcd4cc6]
/sbin/grubby[0x80490a1]
Comment 2 Maciej Żenczykowski 2010-05-26 03:10:56 EDT
Version of grubby in question (I'll try installing and testing some older versions as well):

# rpm -q grubby
grubby-7.0.13-1.fc13.x86_64
(or)
grubby-7.0.13-1.fc13.i686
Comment 3 Maciej Żenczykowski 2010-05-26 03:15:19 EDT
Interestingly it turns out I've been running with exactly that version of grubby on an F12 development laptop (with some mesa + kernel packages from F13 for better nvidia support) for a while now, and didn't notice any problems.
Comment 4 Bug Zapper 2011-06-02 09:30:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:39:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.